--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: A hash of associations for this model class. Keys are column symbols, values are arrays of validation procs.
  name: validations
  rw: R
class_methods: []

comment: 
constants: []

full_name: Sequel::Plugins::ValidationClassMethods::ClassMethods
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: has_validations?
- !ruby/object:RI::MethodSummary 
  name: inherited
- !ruby/object:RI::MethodSummary 
  name: skip_superclass_validations
- !ruby/object:RI::MethodSummary 
  name: skip_superclass_validations?
- !ruby/object:RI::MethodSummary 
  name: validate
- !ruby/object:RI::MethodSummary 
  name: validates
- !ruby/object:RI::MethodSummary 
  name: validates_acceptance_of
- !ruby/object:RI::MethodSummary 
  name: validates_confirmation_of
- !ruby/object:RI::MethodSummary 
  name: validates_each
- !ruby/object:RI::MethodSummary 
  name: validates_format_of
- !ruby/object:RI::MethodSummary 
  name: validates_inclusion_of
- !ruby/object:RI::MethodSummary 
  name: validates_length_of
- !ruby/object:RI::MethodSummary 
  name: validates_not_string
- !ruby/object:RI::MethodSummary 
  name: validates_numericality_of
- !ruby/object:RI::MethodSummary 
  name: validates_presence_of
- !ruby/object:RI::MethodSummary 
  name: validates_uniqueness_of
name: ClassMethods
superclass: 
